Skip to content

List all lists

Lists
POSThttps://api.dcdial.com/api/type=get_lists
Read onlyToken

Lists your calling lists, newest first. Filter by campaign or status.

Parameters

Send as application/x-www-form-urlencoded.

  • typestringrequired

    Selects the operation. Always get_lists for this endpoint.

  • tokenstringrequired

    Your API token from Log in. See Authentication.

  • campaign_idintegeroptional

    ID of the campaign.

    Example 1024
  • statusstringoptional

    Only active (Y) or inactive (N) lists.

    One ofYN
  • filterstringoptional

    Sort by recently added (RA) or recently dialed (RD).

    One ofRARD
Terminal window
curl https://api.dcdial.com/api/ \
-d type=get_lists \
-d token="$DCDIAL_TOKEN" \
-d campaign_id=1024 \
-d status=Y \
-d filter=RA
Response · 200 OK
{
"response": {
"success": 1,
"error": "",
"lists_list": [
{
"list_id": "2048",
"list_name": "October accounts",
"campaign_id": "1024",
"campaign_name": "Payment reminders",
"active": "Y",
"list_description": "Campaign Payment reminders started",
"list_changedate": "2026-10-15 14:02:11",
"list_lastcalldate": "2026-10-15 14:02:11",
"status": "Y"
},
{
"list_id": "2048",
"list_name": "October accounts",
"campaign_id": "1024",
"campaign_name": "Payment reminders",
"active": "Y",
"list_description": "Campaign Payment reminders started",
"list_changedate": "2026-10-15 14:02:11",
"list_lastcalldate": "2026-10-15 14:02:11",
"status": "Y"
}
]
}
}

Try it

Environment